Bug Hunting Session
Bug 51831 - UI: No way to set min max value in "Conditional formatting Data bar More options" dialog
Summary: UI: No way to set min max value in "Conditional formatting Data bar More opti...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.beta3
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:3.7.0 target:3.6.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-07 06:40 UTC by pierre-yves samyn
Modified: 2012-08-25 13:11 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Screenshot after step 8 (95.25 KB, image/png)
2012-07-07 06:40 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2012-07-07 06:40:12 UTC
Created attachment 63938 [details]
Screenshot after step 8

Hello

Steps to reproduce :
1. File> New> Spreadsheet
2. Select A1:A4
3. Format> Conditional formatting> Conditional formatting
4. Add> Condition1 : All Cells> DataBar
5. Click More options
6. Minimum, select "Value" in the list, let 0 in the value zone
7. Maximum select "Value" in the list, replace 0 by 10 in the value zone
8. Ok

Expected result : dialog closes, min and max value used
Actual result : error message "Min value mut be smaller than max value!"

See screenshot after step 8

Platform : windows 7 64 bits & Version 3.6.0.0.beta3 (Build ID: 3e2b862)

Regards 
Pierre-Yves
Comment 1 Not Assigned 2012-07-16 02:31:39 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e11c88d999ad9cab8e309c87088d433fde0d4d9d

use correct value to check for min and max, fdo#51831
Comment 2 Not Assigned 2012-07-16 08:50:04 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1f6bf7bc65e9b88679bab6b46da3089ac9812c48&g=libreoffice-3-6

use correct value to check for min and max, fdo#51831


It will be available in LibreOffice 3.6.
Comment 3 pierre-yves samyn 2012-08-25 13:11:07 UTC
Hello

WORKSFORME with Version 3.6.1.2 (Build ID: e29a214) & windows 7 64bits (& XP)

Regards
Pierre-Yves